[jboss-cvs] JBossAS SVN: r90935 - projects/jboss-osgi/trunk/hudson/hudson-home.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Wed Jul 8 10:36:06 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-07-08 10:36:05 -0400 (Wed, 08 Jul 2009)
New Revision: 90935

Modified:
   projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
Log:
Add RUNTIME_SERVER

Modified: projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-07-08 14:07:46 UTC (rev 90934)
+++ projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-07-08 14:36:05 UTC (rev 90935)
@@ -10,6 +10,22 @@
 HUDSONDIR=$OSGIDIR/hudson
 HUDSONBIN=$HUDSONDIR/hudson-home/bin
 
+case "$FRAMEWORK" in
+  'equinox')
+    RUNTIME_SERVER=minimal
+  ;;
+  'felix')
+    RUNTIME_SERVER=all
+  ;;
+  'knopflerfish')
+    RUNTIME_SERVER=minimal
+  ;;
+  *)
+	echo "Unsupported framework: $FRAMEWORK"
+	exit 1
+  ;;
+esac
+
 case "$CONTAINER" in
   'jboss501')
     SERVER_NAME=default
@@ -52,7 +68,7 @@
     cp $HUDSONBIN/run-with-pid.sh $RUNTIME_HOME/bin/run.sh
   ;;
   'runtime')
-    SERVER_NAME=all
+    SERVER_NAME=$RUNTIME_SERVER
 	RUNTIME_HOME=$DISTRODIR/auto-install-dest/runtime
 	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
   ;;




More information about the jboss-cvs-commits mailing list